
package uk.co.maxant.test.ws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the uk.co.maxant.test.ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PurchaseOffer_QNAME = new QName("http://ws.test.maxant.co.uk/", "purchaseOffer");
    private final static QName _PurchaseOfferResponse_QNAME = new QName("http://ws.test.maxant.co.uk/", "purchaseOfferResponse");
    private final static QName _Cancel_QNAME = new QName("http://ws.test.maxant.co.uk/", "cancel");
    private final static QName _PricingSystemException_QNAME = new QName("http://ws.test.maxant.co.uk/", "PricingSystemException");
    private final static QName _GetPrice_QNAME = new QName("http://ws.test.maxant.co.uk/", "getPrice");
    private final static QName _GetPriceResponse_QNAME = new QName("http://ws.test.maxant.co.uk/", "getPriceResponse");
    private final static QName _CancelResponse_QNAME = new QName("http://ws.test.maxant.co.uk/", "cancelResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: uk.co.maxant.test.ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link PricingSystemException }
     * 
     */
    public PricingSystemException createPricingSystemException() {
        return new PricingSystemException();
    }

    /**
     * Create an instance of {@link Cancel }
     * 
     */
    public Cancel createCancel() {
        return new Cancel();
    }

    /**
     * Create an instance of {@link GetPriceResponse }
     * 
     */
    public GetPriceResponse createGetPriceResponse() {
        return new GetPriceResponse();
    }

    /**
     * Create an instance of {@link PurchaseOfferResponse }
     * 
     */
    public PurchaseOfferResponse createPurchaseOfferResponse() {
        return new PurchaseOfferResponse();
    }

    /**
     * Create an instance of {@link GetPrice }
     * 
     */
    public GetPrice createGetPrice() {
        return new GetPrice();
    }

    /**
     * Create an instance of {@link CancelResponse }
     * 
     */
    public CancelResponse createCancelResponse() {
        return new CancelResponse();
    }

    /**
     * Create an instance of {@link Offer }
     * 
     */
    public Offer createOffer() {
        return new Offer();
    }

    /**
     * Create an instance of {@link PurchaseOffer }
     * 
     */
    public PurchaseOffer createPurchaseOffer() {
        return new PurchaseOffer();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PurchaseOffer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.test.maxant.co.uk/", name = "purchaseOffer")
    public JAXBElement<PurchaseOffer> createPurchaseOffer(PurchaseOffer value) {
        return new JAXBElement<PurchaseOffer>(_PurchaseOffer_QNAME, PurchaseOffer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PurchaseOfferResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.test.maxant.co.uk/", name = "purchaseOfferResponse")
    public JAXBElement<PurchaseOfferResponse> createPurchaseOfferResponse(PurchaseOfferResponse value) {
        return new JAXBElement<PurchaseOfferResponse>(_PurchaseOfferResponse_QNAME, PurchaseOfferResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Cancel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.test.maxant.co.uk/", name = "cancel")
    public JAXBElement<Cancel> createCancel(Cancel value) {
        return new JAXBElement<Cancel>(_Cancel_QNAME, Cancel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PricingSystemException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.test.maxant.co.uk/", name = "PricingSystemException")
    public JAXBElement<PricingSystemException> createPricingSystemException(PricingSystemException value) {
        return new JAXBElement<PricingSystemException>(_PricingSystemException_QNAME, PricingSystemException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPrice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.test.maxant.co.uk/", name = "getPrice")
    public JAXBElement<GetPrice> createGetPrice(GetPrice value) {
        return new JAXBElement<GetPrice>(_GetPrice_QNAME, GetPrice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPriceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.test.maxant.co.uk/", name = "getPriceResponse")
    public JAXBElement<GetPriceResponse> createGetPriceResponse(GetPriceResponse value) {
        return new JAXBElement<GetPriceResponse>(_GetPriceResponse_QNAME, GetPriceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CancelResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.test.maxant.co.uk/", name = "cancelResponse")
    public JAXBElement<CancelResponse> createCancelResponse(CancelResponse value) {
        return new JAXBElement<CancelResponse>(_CancelResponse_QNAME, CancelResponse.class, null, value);
    }

}
