<!--
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
-->
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    	               "http://www.w3.org/TR/html4/loose.dtd">


<%@page import="uk.co.maxant.test.ws.PricingSystem"%>
<%@page import="uk.co.maxant.test.ws.Offer"%>
<%@page import="java.text.NumberFormat"%>
<%@page import="java.util.Locale"%><html>
  <body>
  <a href='PricingSystemService?wsdl'>Pricing System WSDL</a>
  <hr>
  Offers:
  <table border="1">
	  <tr>
	  	<th>ID</th>
	  	<th>Status</th>
	  	<th>Price</th>
	  	<th>Product ID</th>
	  	<th>Created</th>
	  </tr>
  <%
  NumberFormat nf = NumberFormat.getCurrencyInstance(new Locale("fr", "CH"));
  for(Offer o : PricingSystem.getOffers()){
	  %>
	  <tr>
	  	<td><%=o.getOfferId() %></td>
	  	<td><%=o.getStatus() %></td>
	  	<td><%=nf.format(o.getPrice()) %></td>
	  	<td><%=o.getProductId() %></td>
	  	<td><%=o.getCreated() %></td>
	  </tr>
	  <%
  }
  %>
  </table>
  </body>
</html> 
