<!--
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
-->
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    	               "http://www.w3.org/TR/html4/loose.dtd">

<%@page import="javax.naming.InitialContext"%>
<%@page import="javax.jms.Queue"%>
<%@page import="javax.jms.QueueConnectionFactory"%>
<%@page import="javax.jms.QueueConnection"%>
<%@page import="javax.jms.QueueSession"%>
<%@page import="javax.jms.Session"%>
<%@page import="javax.jms.QueueSender"%>
<%@page import="javax.jms.TextMessage"%>
<%@page import="java.util.Date"%>
<html>
  <head>
    	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
  <%
  InitialContext ic = new InitialContext();
  Queue q = (Queue)ic.lookup("jms/destinationResource");
  QueueConnectionFactory qcf = (QueueConnectionFactory)ic.lookup("jmsConnectionPool");
  QueueConnection qc = null;
  QueueSession qs = null;
  QueueSender qSender = null;
  TextMessage msg = null;
  try {
	  qc = qcf.createQueueConnection();
	  qs = qc.createQueueSession(true, Session.SESSION_TRANSACTED);
	  qSender = qs.createSender(q);
	  msg = qs.createTextMessage();
	  msg.setText("This is a message " + new Date());
	  qSender.send(msg);
  } finally {
	  if (qc != null) {
		  qc.close();
	  }
  }
  
  %>
  just sent a JMS message!
  <br>
  <a href='/index.jsp'>home</a><br>
  </body>
</html> 
